Subject: Re: <draft-ietf-dhc-option-review-and-namespace-01.txt>

From: Mike Carney <[email-masked]>
Date: Mon, 6 Mar 2000 08:38:37 -0800

>Hello,

Hi Steve,

>
>Category 1) of this draft seems to be a bit strictly defined.
> IMO there is no new option that could possible fit into it. We may as well 
>do away with it.
>
>Think about it:
>How can you possibly introduce something NEW, if :
>
> " Options in this category MUST NOT require changes to the DHCP
> protocol, server, client, or BOOTP relay agent implementations."

Most (if not all) DHCP servers have an ability to be configured to
deal with new options without requiring changes to the server code
or the management tools. Options that don't fall into category 1 would
be dependent on other options, change the protocol in some way, or
are formatted in such a way that current implementations would need to
change.

Most (if not all) DHCP clients provide a mechanism for applications
to use to query them for DHCP option data. As long as the option has
no impact on the protocol itself, no change to the client implementation
is needed.

Currently, relay agents don't do anything with the options block. Any option
that would require changes to relay agents such as they do require change
certainly wouldn't be a category 1 candidate.

I think most options tend to fall in category one - Lists of IP addresses,
ASCII strings, Numbers of various sizes. Why would options such as these
require changes of implementations?

>/sG

Mike